require([
    'gitbook',
    'jquery'
], function(gitbook, $) {
    var timer = null;
    var input;
    var inputVal = '';
    var lastKw = '';
    var searchRes = null;
    var searchData = '';
    var resHtml = '';
    var resTitle = '',
        resContent = '';
    function checkInput () {
        lastKw = kw;
        kw = input.val();
        if (kw === lastKw) {
            return;
        } else {
            $.ajax({
                type: 'GET',
                url: "http://esgabriel-common-api.dev.weiyun.baidu.com/site/search/ps_search?",
                timeout: 500,
                dataType: 'jsonp',
                data: {
                    siteCode: "pssearch",
                    qt: "/select",
                    q: "content:" + encodeURIComponent(kw),
                    hl: {
                        fl:"content_t",
                        pre:"<em>",
                        post: "</em>"
                    },
                    resultField: "title,url,content"
                },
                success: function (data) {
                    console.log(data);
                    if (data && data.itemList && data.itemList.length > 0) {
                        searchData = data.itemList;
                        searchData.forEach (function (item, index) {
                            resHtml += '<div class="result"><a class="res-link" href="'
                                    + item.url
                                    + '">'
                                    + '<div class="res-title">'
                                    + item.title + '</div>'
                                    + '<p class="res-content">'
                                    + item.content
                                    +'</p></a></div>';
                            searchRes.append(resHtml);
                        });
                    }
                },
                error: function () {
                    return false;
                }
            });
        }
        timer = setTimeout(function() {
            checkInput();
        }, 300);
    }
    gitbook.events.on('page.start', function() {
        var searchObj = $('<div class="book-search-input"></div>');
        input = $('<input type="text" placeholder="输入并搜索" />');
        searchRes = $('<div class="book-search-result"></div>');
        input.on('focus', function () {
            lastKw = input.val();
            inputVal = input.val();
            checkInput(inputVal);
        });
        input.on('blur', function () {
            clearTimeout(timer);
        })
        searchObj.append(input);
        $('.book-summary').prepend(searchObj);
        $('.page-inner').prepend(searchRes);
    });
});
